Changeset 828


Ignore:
Timestamp:
Dec 4, 2009 5:12:44 PM (11 years ago)
Author:
toby
Message:

# on 2004/10/05 22:57:30, toby did:
missing zoom stack
add BWidget mention
note Tcl comes with EXPGUI

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/doc/debug_tcltk.html

    • Property rcs:date changed from 2004/09/28 22:42:54 to 2004/10/05 22:57:30
    • Property rcs:rev changed from 1.1 to 1.2
    • Property rcs:lines set to +30 -5
    r815 r828  
    2727</H1></CENTER>
    2828<h4>Problems</H4>
    29 If you cannot get EXPGUI or CMPR to work,
    30 you may have a setup problem with Tcl/Tk or the BLT package.
     29EXPGUI (and soon CMPR) is distributed with a version of Tcl/Tk
     30that includes the Tkcon, BWidget and BLT packages included within the Tcl/Tk
     31executable. The Bwidget package is required for EXPGUI (someday the
     32same for CMPR). The BLT package is required for CMPR and is needed by all the
     33graphics routines in EXPGUI. The Tkcon package is optional.
     34EXPGUI includes the La (Linear algebra) package for use in the BKGFIT
     35routine.
     36<P>
     37If you are not using the version of Tcl/Tk packaged with the program,
     38perhaps because you want to use them on a platform other than the
     39ones supported by me, you will need to confirm that these packages
     40work properly.
    3141You can test if Tcl/Tk and the BLT package are installed correctly using the
    32 following unix commands:
     42following unix commands:
     43(In Windows, instead double-click on the appropriate icon.)
    3344<PRE>
    3445     [d120234:~] toby% wish
     
    3647     2.4
    3748     % pack [blt::graph .g]
     49     % Blt_ZoomStack .g
    3850     % exit
    3951</PRE>
     
    4860Problems:
    4961<OL>
    50 <LI> If wish does not work then Tcl/Tk is not installed or is not found in the path
     62<LI> If wish does not work, then Tcl/Tk is not installed or is not found in the path
    5163
    5264<LI> if the package require command is not working then BLT is not loaded or is not found by Tcl/Tk
     
    5567
    5668<LI> if the Blt_ZoomStack command does not work, then BLT is not finding the support file bltGraph.tcl.
    57     This is usually found by looking for a subdirectory named .../blt2.4/ in one of the directories in tcl       variable auto_path this causes file .../blt2.4/pkgIndex.tcl to be loaded which references the libBLT file and the bltGraph.tcl file.
     69    This is usually found by looking for a subdirectory named .../blt2.4/
     70in one of the directories referenced by tcl variable auto_path;  this command
     71causes file .../blt2.4/pkgIndex.tcl to be loaded which references the libBLT.so
     72file (for example) and the bltGraph.tcl file.
    5873</OL>
     74<P>
     75Likewise, this command should work for BWidget:
     76<PRE>
     77     [d120234:~] toby% wish
     78     % package require BWidget
     79     1.6
     80     % exit
     81</PRE>
     82Note that EXPGUI and CMPR have not been tested with BWidget versions later
     83than 1.6.
    5984
    6085</HTML>
Note: See TracChangeset for help on using the changeset viewer.